osl::DirectionTraitsGen< LONG_D > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const bool | canPromoteTo =false
static const Direction | altDir =LONG_U
static const Direction | longDir =LONG_D
static const Direction | primDir =U
static const int | blackDx =DirectionTraitsGen<D>::blackDx
static const int | blackDy =DirectionTraitsGen<D>::blackDy
static const int | ptypeMask

## Detailed Description

Definition at line 203 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< LONG_D >::altDir =LONG_U

static

Definition at line 205 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< LONG_D >::blackDx =DirectionTraitsGen<D>::blackDx

static

Definition at line 208 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< LONG_D >::blackDy =DirectionTraitsGen<D>::blackDy

static

Definition at line 209 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< LONG_D >::canPromoteTo =false

static

Definition at line 204 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< LONG_D >::longDir =LONG_D

static

Definition at line 206 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< LONG_D >::primDir =U

static

Definition at line 207 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< LONG_D >::ptypeMask

static

Initial value:
=
(1<<ROOK)|(1<<PROOK)
osl::ROOK
@ ROOK
Definition basic_type.h:100
osl::PROOK
@ PROOK
Definition basic_type.h:92

Definition at line 210 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h